Package: groovy.json.internal

## [Java] Class ValueContainer

- groovy.json.internal.ValueContainer

- All Implemented Interfaces and Traits:
    CharSequence, Value

      public class ValueContainer

  Authors:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Value` | `FALSE` |
    `static Value` | `NULL` |
    `static Value` | `TRUE` |
    `boolean` | `decodeStrings` |
    `Type` | `type` |
    `Object` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueContainer (Object value, Type type, boolean decodeStrings)`
    `ValueContainer (Type type)`
    `ValueContainer (Map<String, Object> map)`
    `ValueContainer (List<Object> list)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BigDecimal` | `bigDecimalValue()`
    `` | `BigInteger` | `bigIntegerValue()`
    `` | `boolean` | `booleanValue()`
    `` | `byte` | `byteValue()`
    `` | `char` | `charAt(int index)`
    `` | `char` | `charValue()`
    `` | `void` | `chop()`
    `` | `Date` | `dateValue()`
    `` | `double` | `doubleValue()`
    `` | `float` | `floatValue()`
    `` | `int` | `intValue()`
    `` | `boolean` | `isContainer()`
    `` | `int` | `length()`
    `` | `long` | `longValue()`
    `` | `short` | `shortValue()`
    `` | `String` | `stringValue()`
    `` | `String` | `stringValueEncoded()`
    `` | `CharSequence` | `subSequence(int start, int end)`
    `<T extends Enum>` | `T` | `toEnum(Class<T> cls)`
    `` | `String` | `toString()`
    `` | `Object` | `toValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Value FALSE

    - #### public static final Value NULL

    - #### public static final Value TRUE

    - #### public boolean decodeStrings

    - #### public Type type

    - #### public Object value

  - ### Constructor Detail

    - #### public ValueContainer(Object value, Type type, boolean decodeStrings)

    - #### public ValueContainer(Type type)

    - #### public ValueContainer(Map<String, Object> map)

    - #### public ValueContainer(List<Object> list)

  - ### Method Detail

    - #### public BigDecimal bigDecimalValue()

    - #### public BigInteger bigIntegerValue()

    - #### public boolean booleanValue()

    - #### public byte byteValue()

    - #### public char charAt(int index)

    - #### public char charValue()

    - #### public void chop()

    - #### public Date dateValue()

    - #### public double doubleValue()

    - #### public float floatValue()

    - #### public int intValue()

    - #### public boolean isContainer()

    - #### public int length()

    - #### public long longValue()

    - #### public short shortValue()

    - #### public String stringValue()

    - #### public String stringValueEncoded()

    - #### public CharSequence subSequence(int start, int end)

    - #### <T extends Enum> public T toEnum(Class<T> cls)

    - #### public String toString()

    - #### public Object toValue()